unit Dirs;

interface
Uses SysUtils;
function OriginDir:string;
function OriginDirFile(const s:string):String;
function DirFile(const s,f:string):string;
function UniqueFile(const Dir,Prefix,Suffix:string):string;
function getFileDir(const s:string):string;
function getFullPath(const s:string):string;
implementation
function OriginDir;
         begin
           OriginDir:=ExtractFilePath(ParamStr(0));
         end;
function OriginDirFile;
         Var ss:STring;
         begin
           ss:=OriginDir;
           if ss[Length(ss)]='\' then
             OriginDirFile:=ss+s
           else
             OriginDirFile:=ss+'\'+s;
         end;
function DirFile(const s,f:string):string;
         begin
           Result:=S;
           if s[length(s)]<>'\' then
           begin
             Result:=Result+'\';
           end;
           Result:=Result+f;
         end;
function UniqueFile(const Dir,Prefix,Suffix:string):string;
         Var i:integer;
         begin
           i:=0;
           Result:=DirFile(Dir,Prefix+IntToStr(i)+Suffix);
           While FileExists(Result) do
           begin
             inc(i);
             Result:=DirFile(Dir,Prefix+IntToStr(i)+Suffix);
           end;
         end;
function getFileDir(const s:string):string;
         begin
           result:=extractFileDir(s);
           if result=''then
             result:=getCurrentDir;
         end;
function getFullPath(const s:string):string;
         begin
           result:=DirFile(getFileDir(s), ExtractFileName(s));
         end;
end.
