Unit ExtCommandCfg;
Interface
  function SaveBeforeExec(const FileName:String):boolean;
Implementation
  uses Windows, SysUtils;
  function SaveBeforeExec(const FileName:String):boolean;
  Var aRes:Array[0..7] of Char;
  begin
    GetPrivateProfileString(
      'Common',	// points to section name 
      'SaveFile',	// points to key name 
      'False',	// points to default string 
      aRes,	// points to destination buffer 
      6,	// size of destination buffer 
      PChar(FileName)	// points to initialization filename 
    );
    Result:=(aRes[0]='T') or (aRes[0]='t');
  end;
End.